local old_weapon_tweak_data = NewRaycastWeaponBase.weapon_tweak_data
function NewRaycastWeaponBase:weapon_tweak_data(...)
	local weapon_tweak_data = old_weapon_tweak_data(self, ...)

   	 if not self._parts or self._name_id ~= "m95" then
        	return weapon_tweak_data 
   	 end


	if self._parts.wpn_fps_snp_m95_lower_iuhGM6Lynx then weapon_tweak_data.sounds.fire = "iuhM95GM6Lynx_fire" end
	if self._parts.wpn_fps_snp_m95_lower_iuhGM6Lynx then weapon_tweak_data.muzzleflash = "effects/m95iuhGM6Lynx_muzzle" end
	if self._parts.wpn_fps_snp_m95_lower_iuhGM6Lynx then weapon_tweak_data.weapon_hold = "m95iuhGM6Lynx" end
	if self._parts.wpn_fps_snp_m95_lower_iuhGM6Lynx then weapon_tweak_data.animations.reload_name_id = "m95iuhGM6Lynx" end	
	if self._parts.wpn_fps_snp_m95_lower_iuhGM6Lynx then weapon_tweak_data.kick.steelsight = {1.5,2,0.2,0.2} end

	return weapon_tweak_data
end

Hooks:PostHook(NewRaycastWeaponBase, "_update_stats_values", "m95iuhGM6Lynx_UpdateStats", function(self, disallow_replenish, ammo_data)
	if self._parts.wpn_fps_snp_m95_lower_iuhGM6Lynx then
		self._shell_ejection_effect_table = {
				effect = Idstring("effects/m95iuhGM6Lynx_shell"),
				parent = self._obj_shell_ejection
			}
	end

end)